[**@rxap/firebase v19.0.4-dev.0**](../README.md)

***

[@rxap/firebase](../globals.md) / RxapAngularFireAppCheckModule

# Class: RxapAngularFireAppCheckModule

Defined in: [app-check.ts:108](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/firebase/src/lib/app-check.ts#L108)

## Constructors

### new RxapAngularFireAppCheckModule()

> **new RxapAngularFireAppCheckModule**(`appCheck`): [`RxapAngularFireAppCheckModule`](RxapAngularFireAppCheckModule.md)

Defined in: [app-check.ts:110](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/firebase/src/lib/app-check.ts#L110)

#### Parameters

##### appCheck

[`AppCheckService`](AppCheckService.md)

#### Returns

[`RxapAngularFireAppCheckModule`](RxapAngularFireAppCheckModule.md)

## Properties

### appCheck

> `readonly` **appCheck**: [`AppCheckService`](AppCheckService.md)

Defined in: [app-check.ts:112](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/firebase/src/lib/app-check.ts#L112)
